API ReferenceapicommunityGET /v1/posts/{post_id}/comments

GET /v1/posts/\{post_id\}/comments

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • post_id (string) required

Query parameters

  • brand_id (string) required
  • limit (integer) —
  • cursor (string) —

Responses

200 Comments on post

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "post_id": {
            "type": "string"
          },
          "author_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "parent_comment_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "body": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          },
          "edited_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "deleted_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "post_id",
          "author_id",
          "brand_id",
          "parent_comment_id",
          "body",
          "created_at",
          "updated_at",
          "edited_at",
          "deleted_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Upstream dependency error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/posts/{post_id}/comments \
  -H "Authorization: Bearer $ACCESS_TOKEN"